## org.eclipse.datatools.connectivity.oda.spec.manifest
Class SupportedDataSetType

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.spec.manifest.SupportedDataSetType

    public class SupportedDataSetType

extends java.lang.Object

Represents the ODA Data Set Type supported by an extension of the org.eclipse.datatools.connectivity.oda.dynamicResultSet extension point.

Since:
  3.2 (DTP 1.7)

Field Summary
`static java.lang.String` `ATTR_DATA_SET_ID`
`static java.lang.String` `ATTR_DATA_SOURCE_ID`
`static java.lang.String` `ELEMENT_NAME`

Method Summary
`java.lang.String` `getOdaDataSetId()` Returns the id of an ODA data set type defined within the supported data source extension.
`java.lang.String` `getOdaDataSourceId()` Returns the id of the ODA data source type for which this contributor is contributing custom filter expressions.
`boolean` `matches(java.lang.String odaDataSourceId, java.lang.String odaDataSetId)` Indicates whether this matches the specified data set type defined within the specified data source type.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELEMENT_NAME

    public static final java.lang.String ELEMENT_NAME

See Also:
  Constant Field Values

### ATTR_DATA_SOURCE_ID

    public static final java.lang.String ATTR_DATA_SOURCE_ID

See Also:
  Constant Field Values

### ATTR_DATA_SET_ID

    public static final java.lang.String ATTR_DATA_SET_ID

See Also:
  Constant Field Values

Method Detail

### getOdaDataSourceId

    public java.lang.String getOdaDataSourceId()

  Returns the id of the ODA data source type for which this contributor is contributing custom filter expressions.

  Returns:
    id of an ODA data source extension

### getOdaDataSetId

    public java.lang.String getOdaDataSetId()

  Returns the id of an ODA data set type defined within the supported data source extension.

  Returns:
    id of an ODA data set defined within the data source extension

### matches

    public boolean matches(java.lang.String odaDataSourceId,
                           java.lang.String odaDataSetId)

  Indicates whether this matches the specified data set type defined within the specified data source type.

  Parameters:
    `odaDataSourceId` - id of an ODA data source extension
    `odaDataSetId` - id of an ODA data set defined within the data source extension
  Returns:
    true if the specified type matches; false otherwise